[Qa-jenkins-scm] [jenkins.debian.net] 02/02: reproducible debian: start to use chdist more widely, and manage them in the maintenance job
Mattia Rizzolo
mattia at debian.org
Thu Apr 5 13:44:07 UTC 2018
This is an automated email from the git hooks/post-receive script.
mattia pushed a commit to branch master
in repository jenkins.debian.net.
commit d8d6ba8eed3b9c3556880b73f1cb358417042b3d
Author: Mattia Rizzolo <mattia at debian.org>
Date: Thu Apr 5 15:39:37 2018 +0200
reproducible debian: start to use chdist more widely, and manage them in the maintenance job
have the meta_pkg_sets use the new managed chdist instead of doing on
its own.
Signed-off-by: Mattia Rizzolo <mattia at debian.org>
---
bin/reproducible_common.sh | 2 ++
bin/reproducible_create_meta_pkg_sets.sh | 12 +-----------
bin/reproducible_maintenance.sh | 16 ++++++++++++++++
3 files changed, 19 insertions(+), 11 deletions(-)
diff --git a/bin/reproducible_common.sh b/bin/reproducible_common.sh
index 29e1898..d2f50ae 100755
--- a/bin/reproducible_common.sh
+++ b/bin/reproducible_common.sh
@@ -29,6 +29,8 @@ JENKINS_URL=${JENKINS_URL:0:-1}
DBDSUITE="unstable"
BIN_PATH=/srv/jenkins/bin
TEMPLATE_PATH=/srv/jenkins/mustache-templates/reproducible
+CHPATH=/srv/reproducible-results/chdist
+mkdir -p "$CHPATH"
# Debian suites being tested
SUITES="stretch buster unstable experimental"
diff --git a/bin/reproducible_create_meta_pkg_sets.sh b/bin/reproducible_create_meta_pkg_sets.sh
index 2643789..f08a70f 100755
--- a/bin/reproducible_create_meta_pkg_sets.sh
+++ b/bin/reproducible_create_meta_pkg_sets.sh
@@ -493,17 +493,7 @@ for SUITE in $SUITES ; do
DISTNAME="$SUITE-$ARCH"
TPATH=/srv/reproducible-results/meta_pkgsets-$SUITE
- CHPATH=/srv/reproducible-results/chdist-$SUITE
- mkdir -p $TPATH $CHPATH
-
- # delete possibly existing dist
- cd $CHPATH
- rm -rf $DISTNAME
- cd -
-
- # the "[arch=$ARCH]" is a workaround until #774685 is fixed
- chdist --data-dir=$CHPATH --arch=$ARCH create $DISTNAME "[arch=$ARCH]" $MIRROR $SUITE main
- chdist --data-dir=$CHPATH --arch=$ARCH apt-get $DISTNAME update
+ mkdir -p $TPATH
PACKAGES=$(ls $CHPATH/$DISTNAME/var/lib/apt/lists/*_dists_${SUITE}_main_binary-${ARCH}_Packages)
SOURCES=$(ls $CHPATH/$DISTNAME/var/lib/apt/lists/*_dists_${SUITE}_main_source_Sources)
diff --git a/bin/reproducible_maintenance.sh b/bin/reproducible_maintenance.sh
index b4ca164..a0efda8 100755
--- a/bin/reproducible_maintenance.sh
+++ b/bin/reproducible_maintenance.sh
@@ -106,6 +106,22 @@ if [ ! -z "$http_proxy" ] ; then
fi
for s in $SUITES ; do
#
+ # chdist update
+ #
+ distname="$s-$ARCH"
+ echo "$(date -u) - updating the $s/$ARCH chdist now."
+ if [ ! -d "$CHPATH/$distname" ]; then
+ echo "$(date -u) - chdist not existing, creating one now..."
+ if ! chdist --data-dir="$CHPATH" --arch="$ARCH" create "$distname" "$MIRROR" "$s" main ; then
+ echo "Error: failed to create the $s/$ARCH chdist."
+ exit 1
+ fi
+ fi
+ if ! chdist --data-dir="$CHPATH" apt-get "$distname" update ; then
+ echo "Warning: failed to update the $s/$ARCH chdist."
+ DIRTY=true
+ fi
+ #
# schroot update
#
echo "$(date -u) - updating the $s/$ARCH schroot now."
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git
More information about the Qa-jenkins-scm
mailing list